%global realname exometer_core
%global upstream feuerlabs
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	1.4
Release:	2%{?dist}
Summary:	Easy and efficient instrumentation of Erlang code
Group:		Development/Languages
License:	MPLv2.0
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
# Fedora/EPEL specific
Patch1:		erlang-exometer-core-0001-Temporary-revert-checking-for-aliases.patch
BuildRequires:	erlang-edown
BuildRequires:	erlang-folsom
BuildRequires:	erlang-lager
BuildRequires:	erlang-meck
BuildRequires:	erlang-parse_trans
BuildRequires:	erlang-rebar
BuildRequires:	erlang-setup


%description
The Exometer Core package allows for easy and efficient instrumentation of
Erlang code, allowing crucial data on system performance to be exported to a
wide variety of monitoring systems.

Exometer Core comes with a set of predefined monitor components, and can be
expanded with custom components to handle new types of Metrics, as well as
integration with additional external systems such as databases, load balancers,
etc.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1 -b .revert_alias_checking


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc doc/ README.md
%{erlang_appdir}/


%changelog
* Mon May 16 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.4-2
- Fix tests in riak_kv with patch no.1

* Wed Mar 16 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.4-1
- Ver. 1.4
